<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Introduction</title>
	<!-- external css -->
	<!-- link tag - link resources such as css or fonts -->
	<!-- external css is the best implementation; style multiple elements in a page, style multiple elements in multiple pages. lessens html load time and its content. -->
	<link rel="stylesheet" type="text/css" href="./index.css">
	<!-- 
		internal css - apply style to multiple elements in a single page. makes code and html take longer to display.


	 -->
<!-- 	 <style type="text/css">
	 	h1 {
	 		color: pink;
	 	}
	 </style> -->
</head>
<body>
	<!-- 
		Inline CSS/Styling - implementation of styles to an HTML element through the style attribute.
			the values of the style attribute are the properties of an element we can style.

			value before colon(:) is the elements property.

			<tag style="property:value;">text</tag>

			styles end in a semi-colon. Failing to do so will make CSS erroneous and affects other properties and rules added.

			<h1 style="color:red;font-size: 50px;background-color: yellow;">Welcome to the World of CSS!</h1>

			Inline CSS takes priority over internal css

			!important adds more priority to a declaration
	 -->

	 <!-- navbar -->

	 <nav id="top">
		<a href="#landing">Zuitt</a>
		<div>
			<a href="#landing">Landing</a>
			<a href="#register">Register</a>
		</div>	 	
	 </nav>
	 <!-- end of navbar -->

	 <h1>Hello World</h1>
	 
	 

	 <!-- class att groups elements to style together. elements with same class can be styled together. can create own classes. -->

	 <section id="landing">
	 	<h2>Welcome to Zuitt!</h2>
	 <!-- id att ads a unique identifier to a particular element. -->
	 
	 	<h3 id="zuitt-motto">Opportunities for Everyone, Everywhere!</h3>
	 	<img src="https://place-puppy.com/450x450">
	 	<ol id="bootcamp-learning-list">
		 	<li class="offering-item">Day Classes</li>
		 	<li class="offering-item">Night Classes</li>
		 	<li class="offering-item">Into to Coding Events</li>
		</ol>
		<!-- an id can be added as href to an anchor to be able to navigate to a particular element within your page. -->
	 	<a href="#top">Back to Top</a>
	 </section>
	 
	 
	 <section id="register">
	 <h2>Register</h2>
	 <form>
	 	<label for="first-name">First Name</label>
	 	<input type="text" id="first-name" required autocomplete>

	 	<label for="last-name">Last Name</label>
	 	<input type="text" id="last-name" required autocomplete>

	 	<label for="email">Email</label>
	 	<input type="email" id="email" required autocomplete>


	 	<button type="submit">Apply Now</button>
	 </form>

	 <a href="#top">Back to Top</a>
	 </section>
	 

</body>
</html>